package models

import (
	"time"
)

// Action represents a single action item.
type Action struct {
	ActionID          int64     `json:"action_id"`
	ActionDescription string    `json:"action_description"`
	EstimatedChunks   int       `json:"estimated_chunks"`
	CompletedChunks   int       `json:"completed_chunks"`
	CompletedOn       time.Time `json:"completed_on"`
	PlanID            int       `json:"plan_id"`
	CreatedAt         time.Time `json:"created_at"`
	UpdatedAt         time.Time `json:"updated_at"`
}

// Actions returns all actions from the model.
func (m *Model) Actions() ([]*Action, error) {
	return m.SelectActions()
}

// Action returns a single action from its ID
func (m *Model) Action(id int) (*Action, error) {
	return m.SelectActionByID(id)
}
