package routes

import (
	"encoding/json"
	"gitea.deepak.science/deepak/gogmagog/models"
	"github.com/go-chi/chi"
	"net/http"
)

func newPlanRouter(m *models.Model) http.Handler {
	router := chi.NewRouter()
	router.Get("/", getAllPlansFunc(m))
	return router
}

func getAllPlansFunc(m *models.Model) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		plans, err := m.Plans()
		if err != nil {
			serverError(w, err)
			return
		}
		w.Header().Add("Content-Type", "application/json")
		if err := json.NewEncoder(w).Encode(plans); err != nil {
			serverError(w, err)
		}
	}
}
